tidyNode::hasChildren
tidyNode::isAsp
tidyNode
PHP Manual

# tidyNode::hasSiblings

Checks if a node has siblings

### Description

bool tidyNode::hasSiblings ( void )

Tells if the node has siblings.

### Return Values

Returns `TRUE` if the node has siblings, `FALSE` otherwise.

### Examples

Example #1 tidyNode::hasSiblings example

`<?php
$html = <<< HTML
<html><head>
<?php echo '<title>title</title>'; ?>
<#
/* JSTE code */
alert('Hello World');
#>
</head>
<body>
<?php
// PHP code
echo 'hello world!';
?>
<%
/* ASP code */
response.write("Hello World!")
%>
<!-- Comments -->
Hello World
</body></html>
Outside HTML
HTML;
$tidy = tidy_parse_string($html);
$num = 0;
// the html tag
var_dump($tidy->html()->hasSiblings());
// the head tag
var_dump($tidy->html()->child[0]->hasSiblings());
?>`

The above example will output:

    bool(false)
    bool(true)

### Notes

> Note:

> This function was named tidy_node::has_siblings in PHP 4/Tidy 1.